org.apache.ignite.internal.visor.cache

## Class VisorCachePartitionsTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<VisorCachePartitionsTaskArg,Map<UUID,VisorCachePartitions>,VisorCachePartitions>
  - - org.apache.ignite.internal.visor.cache.VisorCachePartitionsTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorCachePartitionsTaskArg>,Map<UUID,VisorCachePartitions>>

    @GridInternal
    public class VisorCachePartitionsTask
    extends VisorMultiNodeTask<VisorCachePartitionsTaskArg,Map<UUID,VisorCachePartitions>,VisorCachePartitions>

Task that collect keys distribution in partitions.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorCachePartitionsTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.visor.cache.VisorCachePartitionsTask.VisorCachePartitionsJob` `job(VisorCachePartitionsTaskArg arg)`
`protected @Nullable Map<UUID,VisorCachePartitions>` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCachePartitionsTask

    public VisorCachePartitionsTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.cache.VisorCachePartitionsTask.VisorCachePartitionsJob job(VisorCachePartitionsTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorCachePartitionsTaskArg,Map<UUID,VisorCachePartitions>,VisorCachePartitions>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected @Nullable Map<UUID,VisorCachePartitions> reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<VisorCachePartitionsTaskArg,Map<UUID,VisorCachePartitions>,VisorCachePartitions>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020